org.apache.flume.interceptor

## Class TimestampInterceptor.Constants

- java.lang.Object
- - org.apache.flume.interceptor.TimestampInterceptor.Constants

- Enclosing class:
    TimestampInterceptor

      public static class TimestampInterceptor.Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRESERVE`
    `static boolean` | `PRESERVE_DFLT`
    `static String` | `TIMESTAMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampInterceptor.Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMESTAMP

          public static String TIMESTAMP

    - #### PRESERVE

          public static String PRESERVE

    - #### PRESERVE_DFLT

          public static boolean PRESERVE_DFLT

  - ### Constructor Detail

    - #### TimestampInterceptor.Constants

          public TimestampInterceptor.Constants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.